#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	tests	# unit tests
#
Summary:	PyICU - Python 2 extension wrapping IBM's ICU C++ API
Summary(pl.UTF-8):	PyICU - rozszerzenie Pythona 2 obudowujące API C++ biblioteki ICU firmy IBM
Name:		python-pyicu
Version:	2.3
Release:	3
License:	MIT-like
Group:		Development/Languages/Python
Source0:	https://files.pythonhosted.org/packages/87/10/fdf5842f42834f6e3141668b607c07bc3c94de39acf582c3d4015e7a7fc5/PyICU-2.3.tar.gz
# Source0-md5:	622d9bc07bca7d5be4b5cc061f4770c4
Patch0:		0001-disable-failing-test.patch
URL:		https://pypi.python.org/pypi/PyICU
BuildRequires:	libicu-devel >= 59
BuildRequires:	libstdc++-devel >= 6:4.7
%if %{with python2}
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules >= 1:2.3
%endif
%if %{with python3}
BuildRequires:	python3-2to3 >= 1:3.2
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyICU is a Python extension wrapping IBM's ICU C++ API.

This package contains Python 2 module.

%description -l pl.UTF-8
PyICU to rozszerzenie Pythona obudowujące API C++ biblioteki ICU firmy
IBM.

Ten pakiet zawiera moduł Pythona 2.

%package -n python3-pyicu
Summary:	PyICU - Python 3 extension wrapping IBM's ICU C++ API
Summary(pl.UTF-8):	PyICU - rozszerzenie Pythona 3 obudowujące API C++ biblioteki ICU firmy IBM
Group:		Development/Languages/Python

%description -n python3-pyicu
PyICU is a Python extension wrapping IBM's ICU C++ API.

This package contains Python 3 module.

%description -n python3-pyicu -l pl.UTF-8
PyICU to rozszerzenie Pythona obudowujące API C++ biblioteki ICU firmy
IBM.

Ten pakiet zawiera moduł Pythona 3.

%prep
%setup -q -n PyICU-%{version}
%patch0 -p1

%build
# uses ICU C++ API, which (in case if icu 59+) needs char16_t as distinct type, i.e. C++ 11
CFLAGS="%{rpmcxxflags} %{rpmcppflags} -std=c++11"

%if %{with python2}
%py_build

# tests need module already built
%{?with_tests:PYTHONPATH=$(pwd)/$(echo build-2/lib.*) %{__python} -m unittest discover -s test}
%endif

%if %{with python3}
%py3_build

# tests to be 2to3'ed (by setup) and module already built
%{?with_tests:PYTHONPATH=$(pwd)/$(echo build-3/lib.*) %{__python3} -m unittest discover -s test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE README.md
%{py_sitedir}/PyICU.py[co]
%dir %{py_sitedir}/icu
%{py_sitedir}/icu/__init__.py[co]
%attr(755,root,root) %{py_sitedir}/_icu.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/PyICU-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-pyicu
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE README.md
%{py3_sitedir}/PyICU.py
%dir %{py3_sitedir}/icu
%{py3_sitedir}/__pycache__/PyICU.*.py[co]
%{py3_sitedir}/icu/__init__.py
%dir %{py3_sitedir}/icu/__pycache__
%{py3_sitedir}/icu/__pycache__/__init__.*.py[co]
%attr(755,root,root) %{py3_sitedir}/_icu.cpython-*.so
%{py3_sitedir}/PyICU-%{version}-py*.egg-info
%endif
%changelog
* Wed Oct 30 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyicu.git;a=log;h=auto/th/python-pyicu-2.3-3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1795eab
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> 3a43a6c
- rebuild with icu 65.1
- release 2 (by relup.sh)

* Mon Apr 15 2019 Adam Gołębiowski <adamg@pld-linux.org> 4b18033
- updated to 2.3

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> de240f0
- release 2 (by relup.sh)

* Thu Apr 27 2017 Jakub Bogusz <qboosh@pld-linux.org> a93faa7
- force C++11 (in case it's not compiler default, e.g. gcc 4 or 5)
- fix tests without pyicu installed

* Wed Apr 26 2017 Jan Rękorajski <baggins@pld-linux.org> 8f268e2
- up to 1.9.6

* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 6e490d5
- run tests

* Sun Mar 12 2017 Jan Rękorajski <baggins@pld-linux.org> 7789644
- up to 1.9.5

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> ef426b7
- rebuild with icu 58.2
- release 11 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a8c8a8
- python 3.6
- release 10 (by relup.sh)

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 90633b8
- icu-57.1 rebuild
- release 9 (by relup.sh)

* Fri Dec 11 2015 Jan Rękorajski <baggins@pld-linux.org> bc6615b
- use new build/install macros
- rel 8

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> e4456c6
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 89bf097
- release 7 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9b01fac
- automatic change: use py_build/py_install macros

* Wed Nov 18 2015 Jan Rękorajski <baggins@pld-linux.org> d52e839
- release 6 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3170500
- release 5 (by relup.sh)

* Mon Jun 01 2015 Elan Ruusamäe <glen@delfi.ee> 5149cd2
- icu rebuild
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c676fa
- python 3.4
- release 3 (by relup.sh)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> bfe7255
- release 2 (by relup.sh)

